<!doctype html>
<html>
<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=no">

    <title>Demos Berlin e.V.</title>
    <link rel="icon" type="image/x-icon" href="reveal.js/dist/theme/images/favicon.ico">

    <link rel="stylesheet" href="reveal.js/dist/reset.css">
    <link rel="stylesheet" href="reveal.js/dist/reveal.css">

    <!-- Theme used for slides -->
    <link rel="stylesheet" href="reveal.js/dist/theme/demos-dark.css">

    <!-- Theme used for syntax highlighting of code -->
    <link rel="stylesheet" href="reveal.js/plugin/highlight/monokai.css">
</head>
<body>
<div class="reveal">
    <div class="slides">
        <section data-background-image="reveal.js/dist/theme/images/BerlinWall.jpg">
            <div style="background-color: rgba(0,0,0,0.75);padding-left: 5px; padding-right: 5px; margin-left: 15%; margin-right: 15%;">
                <h3 style="text-align: left; color: white; margin: 0">Demos</h3>
                <h5 style="text-align: right; color: white">@tech-from-below</h5>
            </div>
        </section>
        <section data-markdown>
            <textarea data-template>
                [Slides Source Code](https://gitlab.com/demos-berlin-ev/presentations/tech-from-below)

                [tech from below](https://techfrombelow.de/logo.svg)
            </textarea>
        </section>
        <section data-markdown>
	        <textarea data-template>
                ### INFO

                * press 'S' for speaker notes (allow pop-ups)
                * press 'ESC' for overview mode
                * press 'CTRL'/'ALT'/'CMD' + 'left click' to zoom
            </textarea>
        </section>
        <section>
            <section data-markdown>
                <textarea data-template>
                    ### Demos

                    - General
                    - Tech
                    - Outlook
                    - Help
                    - Questions / Comments / Concerns

                    <aside class="notes" data-markdown>
                        - no speaker notes set
	                </aside>
                </textarea>
            </section>
        </section>
        <section>
            <section data-markdown>
                <textarea data-template>
                    ### Problem

                    - Lack of useful / easy accessible data about civil society actions / actors
                        - Poorly processed data leads to limited usage
                        - No public archive
                    - Lack of information / visibility / reach limits democratic participation

                    <aside class="notes" data-markdown>
                        - no speaker notes set
	                </aside>
                </textarea>
            </section>
            <section data-markdown>
                <textarea data-template>
                    ### Idea

                    - Open Source Software to find / stay alert about civil society actions / actors
                        - Information – access / process / archive
                        - Participation – inform / activate
                    - Crawl police / Versammlungsbehörden public data (all known to us)
                        - Berlin, Braunschweig, Dresden, Landsberg am Lech, Lüneburg, Rostock, Weimar (Nov ‘23)
                        - Not filtered / moderated, once an hour – ≈ 180 events per week (Nov ‘23)
                    - Demos live, as of November 2022

                    <aside class="notes" data-markdown>
                        - no speaker notes set
	                </aside>
                </textarea>
            </section>
            <section data-markdown>
                <textarea data-template>
                    ### Status

                    - Live
                        - Event Search / Archive / Interactions
                        - (ORG Registration / Event Create)
                        - Alert
                        - Information
                        - Analytics
                    - No account needed / no user data logged
                    - Minimal time on Demos

                    <aside class="notes" data-markdown>
                        - no speaker notes set
	                </aside>
                </textarea>
            </section>
        </section>
        <section>
            <section data-markdown>
                <textarea data-template>
                    ### Tech

                    - Web Application (server / client)
                    - User specific data is stored in browser
                    - Training classifier for event labeling
                    - Open Source (licensed under AGPL-3.0-or-later)

                    <aside class="notes" data-markdown>
                        - no speaker notes set
	                </aside>
                </textarea>
            </section>
            <section data-markdown>
                <textarea data-template>
                    ### Backend

                    - Python
                    - REST API
                        - Fast API / OpenAPI
                        - PostgreSQL / Mongo DB
                    - Crawler
                        - requests / beatifulsoup4
                    - Classifier
                        - pytorch / spacey

                    <aside class="notes" data-markdown>
                        - no speaker notes set
	                </aside>
                </textarea>
            </section>
            <section data-markdown>
                <textarea data-template>
                    ### Frontend

                    - Typescript
                        - Vue3 / Quasar
                        - plotly
                        - leaflet
                    - axios
                        - generated API client

                    <aside class="notes" data-markdown>
                        - no speaker notes set
	                </aside>
                </textarea>
            </section>
        </section>
        <section>
            <section data-markdown>
                <textarea data-template>
                    ### Outlook

                    - Improve usability / visibility
                        - SSR / SEO
                        - PWA / Notifications / Messengers
                        - Location Handling
                    - Annoy Police / Versammlungsbehörden
                    - (PR / Reach)
                    - (Set up Organisation mechanics)

                    <aside class="notes" data-markdown>
                        - no speaker notes set
	                </aside>
                </textarea>
            </section>
        </section>
        <section>
            <section data-markdown>
                <textarea data-template>
                    ### Help

                    - Use / Feedback
                    - Tech
                        - See GitLab (Issue, Reviews, Contributions)
                    - Translation
                    - Research / Annoyance
                    - $€¥

                    <aside class="notes" data-markdown>
                        - no speaker notes set
	                </aside>
                </textarea>
            </section>
        </section>
        <section>
            <section>
                <h6>Questions / Comments / Concerns</h6>

                <div style="display: inline-block; margin: 0 auto;">
                    <div class='col'>
                        <img style="max-width: 20vw" src="images/qr_code_demos.svg">
                    </div>
                    <div class='col'>
                        <img style="max-width: 20vw"  src="images/qr_code_gitlab.svg">
                    </div>
                </div>

                <aside class="notes" data-markdown>
                    - no speaker notes set
                </aside>
            </section>
        </section>
    </div>
</div>

<script src="reveal.js/dist/reveal.js"></script>
<script src="reveal.js/plugin/zoom/zoom.js"></script>
<script src="reveal.js/plugin/notes/notes.js"></script>
<script src="reveal.js/plugin/search/search.js"></script>
<script src="reveal.js/plugin/markdown/markdown.js"></script>
<script src="reveal.js/plugin/highlight/highlight.js"></script>
<script>

    // Also available as an ES module, see:
    // https://revealjs.com/initialization/
    Reveal.initialize({
        controls: true,
        progress: true,
        center: true,
        hash: true,
        fragments: true,
        slideNumber: 'c/t',
        width: '60%',
        markdown:
            {
                smartypants: true
            },

        // Learn about plugins: https://revealjs.com/plugins/
        plugins: [ RevealZoom, RevealNotes, RevealSearch, RevealMarkdown, RevealHighlight ]
    });

</script>
</body>
</html>

